<template>
  <!-- 修改物资信息 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="314" v-model="form1"></dil-form>
        </div>
      </div>
    </div>
    
    <div class="button-box">
      <el-button @click="onClickCancel">返回</el-button>
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";

export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },
 
  mounted() {
      console.log(this.$route)
    this.information();
  },
  methods: {  
    information() {
      //编辑
      this.axios
        .post(
          "/api/v1/rms/getMaterialById/" +
            this.$route.params.materialId
        )
        .then((res) => {
            console.log(res)
          res.data.data.forEach((e) => {
            this.form1 = e;
            console.log(e);
            console.log(this.form1);
            console.log(this.$route.params.materialId);
          });
        });
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      console.log(this.form1)
      let RmsMaterial = {
        materialId:this.form1.materialId,
        materialCode:this.form1.materialCode,
        materialName:this.form1.materialName,
        materialSpecification:this.form1.materialSpecification,
        materialModel:this.form1.materialModel,
        materialTypeId:this.form1.materialTypeId,
        unitOfMeasureId:this.form1.unitOfMeasureId,
        materialTheoreticalWeight:this.form1.materialTheoreticalWeight,
      };
         if(
        RmsMaterial.materialCode==null ||
        RmsMaterial.materialName==null ||
        RmsMaterial.materialSpecification==null ||
        RmsMaterial.materialModel==null ||
        RmsMaterial.materialTypeId==null ||
        RmsMaterial.unitOfMeasureId==null ||
        RmsMaterial.materialTheoreticalWeight==null 
      )this.$message.error("存在空值！");
        this.axios
          .post(
            "/api/v1/rms/updateMaterial",
            RmsMaterial
          )
          .then((res) => {
            if (res.data.code == "200") {
              this.$router.go(-1);
            }
          });
    },
  },
    // 取消
    cancel() {
      this.$router.go(-1);
    },
};
</script>
<style lang='scss' scoped>
.form-box,
 .button-box{
    display: flex;
    justify-content: center;
    .el-button{
      width: 80px;
      margin-right: 10px;
    }
  }
</style>